#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/anthy-unicode.conf.new

( cd usr/lib64 ; rm -rf libanthy-unicode.so )
( cd usr/lib64 ; ln -sf libanthy-unicode.so.0.1.0 libanthy-unicode.so )
( cd usr/lib64 ; rm -rf libanthy-unicode.so.0 )
( cd usr/lib64 ; ln -sf libanthy-unicode.so.0.1.0 libanthy-unicode.so.0 )
( cd usr/lib64 ; rm -rf libanthydic-unicode.so )
( cd usr/lib64 ; ln -sf libanthydic-unicode.so.0.1.0 libanthydic-unicode.so )
( cd usr/lib64 ; rm -rf libanthydic-unicode.so.0 )
( cd usr/lib64 ; ln -sf libanthydic-unicode.so.0.1.0 libanthydic-unicode.so.0 )
( cd usr/lib64 ; rm -rf libanthyinput-unicode.so )
( cd usr/lib64 ; ln -sf libanthyinput-unicode.so.0.0.0 libanthyinput-unicode.so )
( cd usr/lib64 ; rm -rf libanthyinput-unicode.so.0 )
( cd usr/lib64 ; ln -sf libanthyinput-unicode.so.0.0.0 libanthyinput-unicode.so.0 )
